/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workappshow.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workappshow.entity.Workappshow;
import com.jeeplus.modules.workappshow.dao.WorkappshowDao;

/**
 * app展示Service
 * @author yangfan
 * @version 2017-08-08
 */
@Service
@Transactional(readOnly = true)
public class WorkappshowService extends CrudService<WorkappshowDao, Workappshow> {

	public Workappshow get(String id) {
		return super.get(id);
	}
	
	public List<Workappshow> findList(Workappshow workappshow) {
		return super.findList(workappshow);
	}
	
	public Page<Workappshow> findPage(Page<Workappshow> page, Workappshow workappshow) {
		return super.findPage(page, workappshow);
	}
	
	@Transactional(readOnly = false)
	public void save(Workappshow workappshow) {
		super.save(workappshow);
	}
	
	@Transactional(readOnly = false)
	public void delete(Workappshow workappshow) {
		super.delete(workappshow);
	}
	
	
	
	
}